﻿using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using PrismDemo.Infrastructure;
using PrismDemo.Modules.People.Views;

namespace PrismDemo.Modules.People
{
    public class PeopleModule : ModuleBase
    {
        public PeopleModule(IUnityContainer container, IRegionManager regionManager)
            : base(container, regionManager)
        {

        }

        public override void Initialize()
        {
            var view = Container.Resolve<PeopleView>();
            RegionManager.Regions[RegionNames.ContentRegion].Add(view);
        }
    }
}
