﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace PrismDemo.Infrastructure
{
    public class ViewBase : UserControl, IView
    {
        public ViewBase()
        {

        }

        public ViewBase(IViewModel viewModel)
        {
            ViewModel = viewModel;
        }


        public IViewModel ViewModel
        {
            get { return (IViewModel)DataContext; }
            set { DataContext = value; }
        }
    }
}
